<script>
import config from './config'
import store from '@/store'
import { getToken } from '@/utils/auth'

export default {
  onLaunch: function () {
    this.initApp()
  },
  methods: {
    // 初始化应用
    initApp() {
      // 初始化应用配置
      this.initConfig()
      // 检查用户登录状态
      //#ifdef H5
      this.checkLogin()
      //#endif
    },
    initConfig() {
      this.globalData.config = config
    },
    checkLogin() {
      if (!getToken()) {
        this.$tab.reLaunch('/pages/login')
      }
    }
  }
}
</script>

<style lang="scss">
@import '@/uni_modules/uview-ui/index.scss';
@import '@/static/scss/index.scss';
page {
  box-sizing: border-box;
  background-color: #fff;
  height: auto;
  white-space: pre-wrap;
  word-wrap: break-word;
}
::v-deep .uni-system-preview-image {
  z-index: 10080 !important;
}
.u-navbar__content__right__text {
  color: $u-primary !important;
}
</style>
